Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing
Class PortReference

    java.lang.Object
      org.jboss.soa.esb.addressing.PortReference

All Implemented Interfaces:
  java.lang.Cloneable

    public class PortReference

extends java.lang.Object
implements java.lang.Cloneable

An implementation of a WS-Addressing EPR. It needs completely rewriting after the interoperability workshop as it is not extensible. It's morphed with the changing WS-C/WS-T and WS-Addr specifications and their quirks; now that WS-Addr is finalized the old quirks no longer need to be supported so it's best to rewrite this from scratch. An instance of a PortReference represents a single element in WS-A.

Nested Class Summary
`static class` | `PortReference.Extension`

Constructor Summary
`PortReference()`
`PortReference(java.lang.String address)`

Method Summary
`void` | `addExtension(PortReference.Extension extension)`
`void` | `addExtension(java.lang.String value)`
`void` | `addExtension(java.lang.String tag, java.lang.String value)`
`void` | `addExtension(java.lang.String tag, java.lang.String prefix, java.lang.String uri, java.lang.String value)` Define the tag, prefix and namespace URI for the extension value.
`void` | `addExtension(java.lang.String tag, java.lang.String prefix, java.lang.String uri, java.lang.String value, int parent)` Define the tag, prefix and namespace URI for the extension value.
`void` | `addExtensions(java.util.List<PortReference.Extension> extensions)`
`void` | `addPolicy()`
`void` | `addPortType(java.lang.String qName)`
`void` | `addServiceName(java.lang.String portName, java.lang.String qName)`
`void` | `clearExtensions()`
`PortReference` | `copy()` Return a copy of this instance.
`boolean` | `equals(java.lang.Object rhs)` Is this object equal to the specified parameter?
`java.lang.String` | `extendedToString()`
`java.lang.String` | `getAddress()`
`java.util.List<PortReference.Extension>` | `getAllExtensions()`
`java.util.Iterator<PortReference.Extension>` | `getExtensions()`
`java.lang.String` | `getExtensionValue(java.lang.String tag)`
`int` | `hashCode()` Return the hash code for this object.
`void` | `removeExtension(java.lang.String tag, java.lang.String value)`
`void` | `setAddress(java.lang.String address)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortReference

    public PortReference()

### PortReference

    public PortReference(java.lang.String address)

Method Detail

### setAddress

    public void setAddress(java.lang.String address)

### getAddress

    public java.lang.String getAddress()

### addExtension

    public void addExtension(PortReference.Extension extension)

### addExtension

    public void addExtension(java.lang.String value)

### removeExtension

    public void removeExtension(java.lang.String tag,
                                java.lang.String value)

### addExtension

    public void addExtension(java.lang.String tag,
                             java.lang.String value)

### addExtension

    public void addExtension(java.lang.String tag,
                             java.lang.String prefix,
                             java.lang.String uri,
                             java.lang.String value)

  Define the tag, prefix and namespace URI for the extension value. The parent is a refProperty.

### addExtension

    public void addExtension(java.lang.String tag,
                             java.lang.String prefix,
                             java.lang.String uri,
                             java.lang.String value,
                             int parent)

  Define the tag, prefix and namespace URI for the extension value. The parent field defines whether the attribute has a refParam, refProp or neither as its parent.

### addExtensions

    public void addExtensions(java.util.List<PortReference.Extension> extensions)

### addPortType

    public void addPortType(java.lang.String qName)

### addServiceName

    public void addServiceName(java.lang.String portName,
                               java.lang.String qName)

### addPolicy

    public void addPolicy()

### getExtensionValue

    public java.lang.String getExtensionValue(java.lang.String tag)

### getExtensions

    public java.util.Iterator<PortReference.Extension> getExtensions()

### getAllExtensions

    public java.util.List<PortReference.Extension> getAllExtensions()

### clearExtensions

    public void clearExtensions()

### copy

    public PortReference copy()

  Return a copy of this instance.

  Returns:
    a field-wise copy.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### extendedToString

    public java.lang.String extendedToString()

### equals

    public boolean equals(java.lang.Object rhs)

  Is this object equal to the specified parameter?

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `rhs` - The rhs object.
  Returns:
    true if the specified object is equal, false otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hash code value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD